> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flashdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Compute Markdown Mapping for Slide



## OpenAPI

````yaml https://api.flashdocs.ai/openapi.json post /v3/slides/{slide_id}/compute/markdown-mapping
openapi: 3.1.0
info:
  title: FlashDocs API
  description: API for FlashDocs application
  version: 1.0.0
servers:
  - url: https://api.flashdocs.ai
    description: Production server
security: []
paths:
  /v3/slides/{slide_id}/compute/markdown-mapping:
    post:
      tags:
        - FlashDocs Document Configuration
      summary: Compute Markdown Mapping for Slide
      operationId: >-
        get_slide_markdown_mapping_v3_slides__slide_id__compute_markdown_mapping_post
      parameters:
        - name: slide_id
          in: path
          required: true
          schema:
            type: string
            title: Slide Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_get_slide_markdown_mapping_v3_slides__slide_id__compute_markdown_mapping_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TextPlaceholderValue'
                title: >-
                  Response Get Slide Markdown Mapping V3 Slides  Slide Id 
                  Compute Markdown Mapping Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    Body_get_slide_markdown_mapping_v3_slides__slide_id__compute_markdown_mapping_post:
      properties:
        markdown:
          type: string
          title: Markdown
          description: The markdown text to compute the mapping for.
      type: object
      required:
        - markdown
      title: >-
        Body_get_slide_markdown_mapping_v3_slides__slide_id__compute_markdown_mapping_post
    TextPlaceholderValue:
      properties:
        placeholder:
          type: string
          title: Placeholder
          description: The placeholder text in the slide
          example: '[title]'
        value:
          type: string
          title: Value
          description: Value for the placeholder
          example: Introduce the topic of renewable energy and its importance.
      type: object
      required:
        - placeholder
        - value
      title: TextPlaceholderValue
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````